%global major 0
%define libname %mklibname ndp %{major}
%define devname %mklibname -d ndp

Name: libndp
Version: 1.7
Release: %mkrel 1
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.gz

%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n ndptool
Summary: Tool for sending and receiving NDP messages
Group: System/Networking
Conflicts: %{_lib}ndp0 < 1.6-2

%description -n ndptool
ndptool is a tool which provides wrapper over Neighbor Discovery Protocol messages.

%package -n %{libname}
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries

%description -n %{libname}
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{devname}
Group: Development/C
Summary: Libraries and header files for libndp development
Requires: %{libname} = %{version}-%{release}
Provides: libndp-devel = %{version}-%{release}

%description -n %{devname}
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n ndptool
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/ndp.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Apr 05 2020 tv <tv> 1.7-1.mga8
+ Revision: 1564923
- 1.7

* Thu Feb 13 2020 umeabot <umeabot> 1.6-4.mga8
+ Revision: 1514291
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6-3.mga7
+ Revision: 1299029
- Mageia 7 Mass Rebuild

* Sun Dec 11 2016 wally <wally> 1.6-2.mga6
+ Revision: 1074286
- split out ndptool

* Tue May 17 2016 philippem <philippem> 1.6-1.mga6
+ Revision: 1016535
- update to 1.6 mga#18477

* Thu Feb 11 2016 umeabot <umeabot> 1.5-2.mga6
+ Revision: 955603
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 tv <tv> 1.5-1.mga6
+ Revision: 840265
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 749436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 681632
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 666317
- 1.4
- remove upstreamed CVE-2014-3554 patch

* Wed Jul 30 2014 luigiwalser <luigiwalser> 1.2-3.mga5
+ Revision: 658328
- add patch from redhat to fix CVE-2014-3554
- remove strange obsoletes

* Tue Feb 11 2014 tv <tv> 1.2-2.mga5
+ Revision: 589398
- fix library name; add devel provides

* Tue Feb 11 2014 tv <tv> 1.2-1.mga5
+ Revision: 589390
- imported package libndp

